package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.convert.ConversionService;
import java.time.LocalDate;

public class ClientBean {
    private final String date;
    @Autowired
    private ConversionService conversionService;

    ClientBean(String date) {
        this.date = date;
    }

    public void showLocalDateTime() {
        LocalDate localDate = conversionService.convert(date, LocalDate.class);
        System.out.println(localDate);
    }
}